Package: org.codehaus.groovy.tools.shell.completion

## [Groovy] Enum CompletionCase

- org.codehaus.groovy.tools.shell.completion.GroovySyntaxCompletor.CompletionCase

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `DOT_LAST` |
    `NO_COMPLETION` |
    `NO_DOT_PREFIX` |
    `PREFIX_AFTER_DOT` |
    `SECOND_IDENT` |

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Enum Constant Detail

    - #### GroovySyntaxCompletor.CompletionCase DOT_LAST

    - #### GroovySyntaxCompletor.CompletionCase NO_COMPLETION

    - #### GroovySyntaxCompletor.CompletionCase NO_DOT_PREFIX

    - #### GroovySyntaxCompletor.CompletionCase PREFIX_AFTER_DOT

    - #### GroovySyntaxCompletor.CompletionCase SECOND_IDENT